import sys
if sys.version_info.minor >= 8:
    from typing import Literal

# waveform pattern
WF_1ST = 'A-HLM-V'
WF_2ND = 'HLN'
WF_3RD = 'ZNE123456'

# to calc min()
HIGHEST_INT = 1E100

# warn user if file bigger than this size
BIG_FILE_SIZE = 2 * 10**8

# Matplotlib's performance be slow if data point total > than this limit
CHAN_SIZE_LIMIT = 10**6

# If total waveform datapoint > than this limit, not recalculate
RECAL_SIZE_LIMIT = 10**9

# rate of values to be cut of from means
CUT_FROM_MEAN_FACTOR = 0.1

# to split to time range (not use for now, but implemented in mseed)
FILE_PER_CHAN_LIMIT = 20

# default start time
DEFAULT_START_TIME = "1970-01-01"

# TIME FORMAT according to Qt.ISODate
TM_FORMAT = "%Y-%m-%d"

# seconds in a day
SEC_DAY = 86400.0

# seconds in 5 minutes
SEC_5M = 300

# total of 5 minutes in a day
NO_5M_DAY = 288

# total of 5 minutes in an hour
NO_5M_1H = int(60 * 60 / 300)

# name of table of contents file
TABLE_CONTENTS = "01 _ Table of Contents.help.md"

# name of search through all documents file
SEARCH_RESULTS = "Search Results.md"

# the list of all color modes
ALL_COLOR_MODES = {'B', 'W'}

# ================================================================= #
#                      PLOTTING CONSTANT
# ================================================================= #
# Where the plotting start (0-1)
BOTTOM = 0.996
# where the plotting start in pixel
BOTTOM_PX = 200
# BASIC_HEIGHT of a plot (0-1)
BASIC_HEIGHT = 0.0012
# Order to show plotting items on top of each other. The higher value, the
# the higher priority
Z_ORDER = {'AXIS_SPINES': 0, 'CENTER_LINE': 1, 'LINE': 2, 'GAP': 3, 'DOT': 3}

# Distance from 'Hour' label to timestamp bar
HOUR_TO_TMBAR_D = 100

# ================================================================= #
#                      TYPING CONSTANT
# ================================================================= #

if sys.version_info.minor >= 8:
    ColorMode = Literal['B', 'W']
else:
    ColorMode = str
